import express from 'express'
import { createSale,getAllSale,getSale,updateSale,deleteSale } from '../controllers/SaleControllers.js'
import protect from '../middleware/auth.js'

const router = express.Router();

router.post("/", protect,createSale);
router.get("/", protect,getAllSale);
router.get("/:id", protect,getSale);
router.put("/:id",protect, updateSale);
router.delete("/:id", protect,deleteSale);

export default router